Sybase NNTP forums - End Of Life (EOL)

The NNTP forums from Sybase - forums.sybase.com - are now closed.

All new questions should be directed to the appropriate forum at the SAP Community Network (SCN).

Individual products have links to the respective forums on SCN, or you can go to SCN and search for your product in the search box (upper right corner) to find your specific developer center.

ASA 9.0.2 PHP unter Windows XP

8 posts in iAnywhere General Discussion (German) Last posting was on 2007-11-29 14:13:40.0Z
Peter56 Posted on 2007-11-22 16:38:24.0Z
From: Peter56 <scigallap@ibb-bochum.de>
User-Agent: Thunderbird 1.5.0.7 (Windows/20060909)
MIME-Version: 1.0
Newsgroups: ianywhere.public.german.general
Subject: ASA 9.0.2 PHP unter Windows XP
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 8bit
NNTP-Posting-Host: dslb-088-074-142-092.pools.arcor-ip.net
X-Original-NNTP-Posting-Host: dslb-088-074-142-092.pools.arcor-ip.net
Message-ID: <4745b080@forums-1-dub>
Date: 22 Nov 2007 08:38:24 -0800
X-Trace: forums-1-dub 1195749504 88.74.142.92 (22 Nov 2007 08:38:24 -0800)
X-Original-Trace: 22 Nov 2007 08:38:24 -0800, dslb-088-074-142-092.pools.arcor-ip.net
Lines: 9
Path: forums-1-dub!not-for-mail
Xref: forums-1-dub ianywhere.public.german.general:392
Article PK: 1065

Hallo,

weiß jemand, wie die PHP.INI zu konfigurieren ist, damit man auf
Adaptive Server Anywhere Database Engine Version 9.0.2 zugreifen kann?

Ich habs schon mit allen DLLs probiert, die im Win32-Verzeichnis sind,
leider ohne Erfolg.

Danke im Voraus - Peter


Andre Schild Posted on 2007-11-22 18:19:16.0Z
From: Andre Schild <a.schild@aarboard.ch>
User-Agent: Thunderbird 2.0.0.9 (Windows/20071031)
MIME-Version: 1.0
Newsgroups: ianywhere.public.german.general
Subject: Re: ASA 9.0.2 PHP unter Windows XP
References: <4745b080@forums-1-dub>
In-Reply-To: <4745b080@forums-1-dub>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 8bit
NNTP-Posting-Host: 212.203.121.6
X-Original-NNTP-Posting-Host: 212.203.121.6
Message-ID: <4745c824@forums-1-dub>
Date: 22 Nov 2007 10:19:16 -0800
X-Trace: forums-1-dub 1195755556 212.203.121.6 (22 Nov 2007 10:19:16 -0800)
X-Original-Trace: 22 Nov 2007 10:19:16 -0800, 212.203.121.6
Lines: 24
X-Authenticated-User: sa_beta
Path: forums-1-dub!not-for-mail
Xref: forums-1-dub ianywhere.public.german.general:393
Article PK: 1066

Hallo,

wir verwenden ASA 10, aber fÃŒr ASA 9 sollte es eigentlich identisch sein...

extension=php-4.4.0_sqlanywhere10.dll


Wichtig ist, dass du die richtige PHP Version dazu nimmst.
Was fÃŒr einen Apachen hast du ? (Ich glaube es sollte die 2.0.5..
Indianer sein)


André

Peter56 schrieb:

> Hallo,
>
> weiß jemand, wie die PHP.INI zu konfigurieren ist, damit man auf
> Adaptive Server Anywhere Database Engine Version 9.0.2 zugreifen kann?
>
> Ich habs schon mit allen DLLs probiert, die im Win32-Verzeichnis sind,
> leider ohne Erfolg.
>
> Danke im Voraus - Peter


Andre Schild Posted on 2007-11-22 18:24:00.0Z
From: Andre Schild <a.schild@aarboard.ch>
User-Agent: Thunderbird 2.0.0.9 (Windows/20071031)
MIME-Version: 1.0
Newsgroups: ianywhere.public.german.general
Subject: Re: ASA 9.0.2 PHP unter Windows XP
References: <4745b080@forums-1-dub> <4745c824@forums-1-dub>
In-Reply-To: <4745c824@forums-1-dub>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 8bit
NNTP-Posting-Host: 212.203.121.6
X-Original-NNTP-Posting-Host: 212.203.121.6
Message-ID: <4745c940$1@forums-1-dub>
Date: 22 Nov 2007 10:24:00 -0800
X-Trace: forums-1-dub 1195755840 212.203.121.6 (22 Nov 2007 10:24:00 -0800)
X-Original-Trace: 22 Nov 2007 10:24:00 -0800, 212.203.121.6
Lines: 33
X-Authenticated-User: sa_beta
Path: forums-1-dub!not-for-mail
Xref: forums-1-dub ianywhere.public.german.general:394
Article PK: 1067

Hier ist noch was,

falls es nicht mit deinen Versionen zusammenpasst.

http://www.sybase.com/detail?id=1019698

André

Andre Schild schrieb:

> Hallo,
>
> wir verwenden ASA 10, aber fÃŒr ASA 9 sollte es eigentlich identisch sein...
>
> extension=php-4.4.0_sqlanywhere10.dll
>
>
> Wichtig ist, dass du die richtige PHP Version dazu nimmst.
> Was fÃŒr einen Apachen hast du ? (Ich glaube es sollte die 2.0.5..
> Indianer sein)
>
>
> André
>
> Peter56 schrieb:
>> Hallo,
>>
>> weiß jemand, wie die PHP.INI zu konfigurieren ist, damit man auf
>> Adaptive Server Anywhere Database Engine Version 9.0.2 zugreifen kann?
>>
>> Ich habs schon mit allen DLLs probiert, die im Win32-Verzeichnis sind,
>> leider ohne Erfolg.
>>
>> Danke im Voraus - Peter


Peter56 Posted on 2007-11-23 07:02:05.0Z
From: Peter56 <scigallap@ibb-bochum.de>
User-Agent: Thunderbird 1.5.0.7 (Windows/20060909)
MIME-Version: 1.0
Newsgroups: ianywhere.public.german.general
Subject: Re: ASA 9.0.2 PHP unter Windows XP
References: <4745b080@forums-1-dub> <4745c824@forums-1-dub> <4745c940$1@forums-1-dub>
In-Reply-To: <4745c940$1@forums-1-dub>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 8bit
NNTP-Posting-Host: dslb-088-074-136-104.pools.arcor-ip.net
X-Original-NNTP-Posting-Host: dslb-088-074-136-104.pools.arcor-ip.net
Message-ID: <47467aed$3@forums-1-dub>
Date: 22 Nov 2007 23:02:05 -0800
X-Trace: forums-1-dub 1195801325 88.74.136.104 (22 Nov 2007 23:02:05 -0800)
X-Original-Trace: 22 Nov 2007 23:02:05 -0800, dslb-088-074-136-104.pools.arcor-ip.net
Lines: 50
Path: forums-1-dub!not-for-mail
Xref: forums-1-dub ianywhere.public.german.general:395
Article PK: 1069

Hallo Andre,

hab Dank fÃŒr Deine Infos. Wir haben den Apache/2.0.55 und PHP 5.0.5.

Also eine Konstellation, fÃŒr die keine Sybase-DLL zu passen scheint. Von
PHP 5.0.5 kann ich nicht weg, weil die von anderen Anwendungen verlangt
wird. Allerdings findet sich in meiner Sybase-Installation noch eine
php-5.2.0_sqlanywhere9.dll. Also vermute ich mal, dass ein PHP 5.2.0
vielleicht helfen könnte. Ich hoffe nur, dass ich mir straflos diese
Version installieren kann. Werde wohl vorher mal eine Systemsicherung
machen und es dann probieren.

Nochmals herzlichen Dank - Peter


Andre Schild schrieb:

> Hier ist noch was,
>
> falls es nicht mit deinen Versionen zusammenpasst.
>
> http://www.sybase.com/detail?id=1019698
>
> André
>
> Andre Schild schrieb:
>> Hallo,
>>
>> wir verwenden ASA 10, aber fÃŒr ASA 9 sollte es eigentlich identisch
>> sein...
>>
>> extension=php-4.4.0_sqlanywhere10.dll
>>
>>
>> Wichtig ist, dass du die richtige PHP Version dazu nimmst.
>> Was fÃŒr einen Apachen hast du ? (Ich glaube es sollte die 2.0.5..
>> Indianer sein)
>>
>>
>> André
>>
>> Peter56 schrieb:
>>> Hallo,
>>>
>>> weiß jemand, wie die PHP.INI zu konfigurieren ist, damit man auf
>>> Adaptive Server Anywhere Database Engine Version 9.0.2 zugreifen kann?
>>>
>>> Ich habs schon mit allen DLLs probiert, die im Win32-Verzeichnis
>>> sind, leider ohne Erfolg.
>>>
>>> Danke im Voraus - Peter


Peter56 Posted on 2007-11-23 10:07:29.0Z
From: Peter56 <scigallap@ibb-bochum.de>
User-Agent: Thunderbird 1.5.0.7 (Windows/20060909)
MIME-Version: 1.0
Newsgroups: ianywhere.public.german.general
Subject: Re: ASA 9.0.2 PHP unter Windows XP
References: <4745b080@forums-1-dub> <4745c824@forums-1-dub>
In-Reply-To: <4745c824@forums-1-dub>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 8bit
NNTP-Posting-Host: dslb-088-074-136-104.pools.arcor-ip.net
X-Original-NNTP-Posting-Host: dslb-088-074-136-104.pools.arcor-ip.net
Message-ID: <4746a661$1@forums-1-dub>
Date: 23 Nov 2007 02:07:29 -0800
X-Trace: forums-1-dub 1195812449 88.74.136.104 (23 Nov 2007 02:07:29 -0800)
X-Original-Trace: 23 Nov 2007 02:07:29 -0800, dslb-088-074-136-104.pools.arcor-ip.net
Lines: 38
Path: forums-1-dub!not-for-mail
Xref: forums-1-dub ianywhere.public.german.general:396
Article PK: 1068

Hi Andre,

ich hatte es befÃŒrchtet, fÃŒr meine Konstellation (PHP 5.0.5) gibt es
keine extension von Sybase und alle anderen schlagen fehl. Damit steh
ich wieder am Anfang.

Der Versuch, PHP in einer geeigneten Version zu installieren (5.1.2,
dafÃŒr hab ich eine DLL) fÃŒhrte dazu, dass andere Anwendungen nicht laufen.

Vielleicht hat ja jemand noch eine Idee?

Viele GrÌße - Peter

Andre Schild schrieb:

> Hallo,
>
> wir verwenden ASA 10, aber fÃŒr ASA 9 sollte es eigentlich identisch sein...
>
> extension=php-4.4.0_sqlanywhere10.dll
>
>
> Wichtig ist, dass du die richtige PHP Version dazu nimmst.
> Was fÃŒr einen Apachen hast du ? (Ich glaube es sollte die 2.0.5..
> Indianer sein)
>
>
> André
>
> Peter56 schrieb:
>> Hallo,
>>
>> weiß jemand, wie die PHP.INI zu konfigurieren ist, damit man auf
>> Adaptive Server Anywhere Database Engine Version 9.0.2 zugreifen kann?
>>
>> Ich habs schon mit allen DLLs probiert, die im Win32-Verzeichnis sind,
>> leider ohne Erfolg.
>>
>> Danke im Voraus - Peter


Dietrich Posted on 2007-11-26 09:05:21.0Z
From: Dietrich <Dietrich@iAnywhere.Sybase.Germany>
User-Agent: Thunderbird 2.0.0.9 (Windows/20071031)
MIME-Version: 1.0
Newsgroups: ianywhere.public.german.general
Subject: Re: ASA 9.0.2 PHP unter Windows XP
References: <4745b080@forums-1-dub> <4745c824@forums-1-dub> <4746a661$1@forums-1-dub>
In-Reply-To: <4746a661$1@forums-1-dub>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 8bit
NNTP-Posting-Host: dlauterxp.sybase.com
X-Original-NNTP-Posting-Host: dlauterxp.sybase.com
Message-ID: <474a8c51$1@forums-1-dub>
Date: 26 Nov 2007 01:05:21 -0800
X-Trace: forums-1-dub 1196067921 10.56.33.201 (26 Nov 2007 01:05:21 -0800)
X-Original-Trace: 26 Nov 2007 01:05:21 -0800, dlauterxp.sybase.com
Lines: 54
X-Authenticated-User: techsupp
Path: forums-1-dub!not-for-mail
Xref: forums-1-dub ianywhere.public.german.general:397
Article PK: 1070

Hi Peter,

wie sieht es damit aus, auf PHP 5.0.4 zu gehen?
Der Versions-Sprung wÀre am Geringsten.

Die PHP version gib's hier: http://museum.php.net/php5/php-5.0.4-Win32.zip
Und die Änderung von 5.0.4 nach 5.0.5 sind hier aufgefÃŒhrt:
http://us.php.net/ChangeLog-5.php#5.0.5


Gruß,

Dietrich

Peter56 wrote:
> Hi Andre,
>
> ich hatte es befÃŒrchtet, fÃŒr meine Konstellation (PHP 5.0.5) gibt es
> keine extension von Sybase und alle anderen schlagen fehl. Damit steh
> ich wieder am Anfang.
>
> Der Versuch, PHP in einer geeigneten Version zu installieren (5.1.2,
> dafÃŒr hab ich eine DLL) fÃŒhrte dazu, dass andere Anwendungen nicht laufen.
>
> Vielleicht hat ja jemand noch eine Idee?
>
> Viele GrÌße - Peter
>
> Andre Schild schrieb:
>> Hallo,
>>
>> wir verwenden ASA 10, aber fÃŒr ASA 9 sollte es eigentlich identisch
>> sein...
>>
>> extension=php-4.4.0_sqlanywhere10.dll
>>
>>
>> Wichtig ist, dass du die richtige PHP Version dazu nimmst.
>> Was fÃŒr einen Apachen hast du ? (Ich glaube es sollte die 2.0.5..
>> Indianer sein)
>>
>>
>> André
>>
>> Peter56 schrieb:
>>> Hallo,
>>>
>>> weiß jemand, wie die PHP.INI zu konfigurieren ist, damit man auf
>>> Adaptive Server Anywhere Database Engine Version 9.0.2 zugreifen kann?
>>>
>>> Ich habs schon mit allen DLLs probiert, die im Win32-Verzeichnis
>>> sind, leider ohne Erfolg.
>>>
>>> Danke im Voraus - Peter


Andre Schild Posted on 2007-11-27 21:36:12.0Z
From: Andre Schild <a.schild@aarboard.ch>
User-Agent: Thunderbird 2.0.0.9 (Windows/20071031)
MIME-Version: 1.0
Newsgroups: ianywhere.public.german.general
Subject: Re: ASA 9.0.2 PHP unter Windows XP
References: <4745b080@forums-1-dub> <4745c824@forums-1-dub> <4746a661$1@forums-1-dub>
In-Reply-To: <4746a661$1@forums-1-dub>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 8bit
NNTP-Posting-Host: support1.aarboard.ch
X-Original-NNTP-Posting-Host: support1.aarboard.ch
Message-ID: <474c8dcc$1@forums-1-dub>
Date: 27 Nov 2007 13:36:12 -0800
X-Trace: forums-1-dub 1196199372 212.203.121.6 (27 Nov 2007 13:36:12 -0800)
X-Original-Trace: 27 Nov 2007 13:36:12 -0800, support1.aarboard.ch
Lines: 51
X-Authenticated-User: sa_beta
Path: forums-1-dub!not-for-mail
Xref: forums-1-dub ianywhere.public.german.general:398
Article PK: 1071

Peter56 schrieb:

> Hi Andre,
>
> ich hatte es befÃŒrchtet, fÃŒr meine Konstellation (PHP 5.0.5) gibt es
> keine extension von Sybase und alle anderen schlagen fehl. Damit steh
> ich wieder am Anfang.

Ich wÃŒrde mal testhalber schauen ob es mit PHP 5.0.4 funktioniert. (Zum
alle anderen Fehler ausschliessen)

Falls es dann geht, gibt es ja noch das "How to Build the Drivers From
Source Code" im Link. http://www.sybase.com/detail?id=1019698


André


>
> Der Versuch, PHP in einer geeigneten Version zu installieren (5.1.2,
> dafÃŒr hab ich eine DLL) fÃŒhrte dazu, dass andere Anwendungen nicht laufen.
>
> Vielleicht hat ja jemand noch eine Idee?
>
> Viele GrÌße - Peter
>
> Andre Schild schrieb:
>> Hallo,
>>
>> wir verwenden ASA 10, aber fÃŒr ASA 9 sollte es eigentlich identisch
>> sein...
>>
>> extension=php-4.4.0_sqlanywhere10.dll
>>
>>
>> Wichtig ist, dass du die richtige PHP Version dazu nimmst.
>> Was fÃŒr einen Apachen hast du ? (Ich glaube es sollte die 2.0.5..
>> Indianer sein)
>>
>>
>> André
>>
>> Peter56 schrieb:
>>> Hallo,
>>>
>>> weiß jemand, wie die PHP.INI zu konfigurieren ist, damit man auf
>>> Adaptive Server Anywhere Database Engine Version 9.0.2 zugreifen kann?
>>>
>>> Ich habs schon mit allen DLLs probiert, die im Win32-Verzeichnis
>>> sind, leider ohne Erfolg.
>>>
>>> Danke im Voraus - Peter


Peter56 Posted on 2007-11-29 14:13:40.0Z
From: Peter56 <scigallap@ibb-bochum.de>
User-Agent: Thunderbird 1.5.0.7 (Windows/20060909)
MIME-Version: 1.0
Newsgroups: ianywhere.public.german.general
Subject: Re: ASA 9.0.2 PHP unter Windows XP
References: <4745b080@forums-1-dub> <4745c824@forums-1-dub> <4746a661$1@forums-1-dub> <474c8dcc$1@forums-1-dub>
In-Reply-To: <474c8dcc$1@forums-1-dub>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 8bit
NNTP-Posting-Host: dslb-088-074-146-096.pools.arcor-ip.net
X-Original-NNTP-Posting-Host: dslb-088-074-146-096.pools.arcor-ip.net
Message-ID: <474ec914$1@forums-1-dub>
Date: 29 Nov 2007 06:13:40 -0800
X-Trace: forums-1-dub 1196345620 88.74.146.96 (29 Nov 2007 06:13:40 -0800)
X-Original-Trace: 29 Nov 2007 06:13:40 -0800, dslb-088-074-146-096.pools.arcor-ip.net
Lines: 21
Path: forums-1-dub!not-for-mail
Xref: forums-1-dub ianywhere.public.german.general:399
Article PK: 1072

Hallo Andre und Dietrich,

habt Dank fÃŒr Eure Hinweise, aber beide PHP-Versionen laufen nicht
zusammen mit den anderen Anwendungen. Habs leider vergeblich probiert.

Allerdings hilft mir erst mal eine ganz normale ODBC-Verbindung weiter.
Mal schauen was die Zukunft bringt.

Viele GrÌße - Peter

Andre Schild schrieb:

>
> Ich wÃŒrde mal testhalber schauen ob es mit PHP 5.0.4 funktioniert. (Zum
> alle anderen Fehler ausschliessen)
>
> Falls es dann geht, gibt es ja noch das "How to Build the Drivers From
> Source Code" im Link. http://www.sybase.com/detail?id=1019698
>
>
> André